/* This subroutine takes care of end of file processing */

#include <stdio.h>
#include "xasm.h"

void xpend( char *label, char *opcode, char *operand, char *lptr )
{
char *objcode = NULL;
	
labproc( label );

if ( pass == 1 )
   return;
	
if ( opcode != NULL && operand != NULL )
   if ( *opcode && *operand )
      {
      objcode = proper( label, opcode, operand, NULL );
      start = atoh( objcode );
      }

printl( (long) start, NULL, 0, lptr );
}
